> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of external references

> Get a list of an individual's external references.



## OpenAPI

````yaml /specs/fc-kyc-bundled_generated.yaml get /v2/individuals/{entityId}/externalreferences
openapi: 3.0.3
info:
  title: KYC V2 API
  version: 2.0.1
  description: >-
    This is the APIs for V2 KYC. It allows you to manage individuals, profiles,
    workflows, results, and documents in the context of Individuals.
  contact:
    name: FrankieOne
    url: https://www.frankieone.com/
    email: help@frankieone.com
servers:
  - url: https://api.uat.frankie.one
    description: UAT Environment API Base URL
  - url: https://api.frankie.one
    description: Production API Base URL
security:
  - Api-Key: []
tags:
  - name: Individual Entities
    description: Manage individual entity records
  - name: Individual Entity Elements
    description: Manage individual entity record elements
  - name: Individual Documents
    description: Manage documents for individuals
  - name: Individual Workflows
    description: Manage workflows and executions for individuals
  - name: Individual Results
    description: Manage results for individuals
  - name: Individual Profiles
    description: Manage individual profiles
  - name: Individual Risks
    description: Manage risks associated with an individual
  - name: Monitoring
    description: Turn on/off ongoing monitoring for an individual entity
  - name: HostedURL
    description: Manage hosted URLs for an individual
  - name: IDV
    description: Get a token and/or upload documents to initiate an IDV process
  - name: Search
    description: Search for entity profiles
paths:
  /v2/individuals/{entityId}/externalreferences:
    parameters:
      - $ref: '#/components/parameters/entityId'
    get:
      tags:
        - Individual Entity Elements
      summary: Get a list of external references
      description: Get a list of an individual's external references.
      operationId: getExternalReference
      parameters:
        - $ref: '#/components/parameters/Api-Key'
        - $ref: '#/components/parameters/X-Frankie-CustomerID'
        - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
        - $ref: '#/components/parameters/X-Frankie-Channel'
        - $ref: '#/components/parameters/X-Frankie-Username'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    $ref: '#/components/schemas/Request-ID'
                  externalReferences:
                    type: array
                    items:
                      $ref: '#/components/schemas/External-Reference'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid EntityId:
                  value:
                    errorCode: API-0400,
                    errorMsg: 'Multiple Errors: See Issues list'
                    details:
                      - issue: 'entityId in path must be of type uuid: "test"'
                        issueLocation: VALIDATE-entityId
                    requestId: 01HM5XJ7VASZ3EJMB1VQGTBFJ4
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid authentication:
                  value:
                    errorCode: AUTH-0002,
                    errorMsg: Unauthorized
                    details:
                      - issue: Invalid Authentication provided. Access denied.
                        issueLocation: request
                    requestId: 00000000S6MNG7624K2TDXT1E3
                No Api-Key:
                  value:
                    errorCode: AUTH-0401
                    errorMsg: Unauthorized
                    details:
                      - issue: No api key provided. Access denied.
                        issueLocation: request
                    requestId: 00000001S6MNG7624K2TDXT1E3
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Api-Key: []
        - jwt:
            - kyc:api
components:
  parameters:
    entityId:
      name: entityId
      in: path
      schema:
        type: string
      description: Unique FrankieOne identifier for an entity
      required: true
    Api-Key:
      name: api_key
      in: header
      schema:
        type: string
        example: 245c765b124a098d09ef8765....
      description: Your API key provided by FrankieOne
      required: true
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
    X-Frankie-Channel:
      name: X-Frankie-Channel
      in: header
      required: false
      schema:
        type: string
      description: >-
        Open string that can be used to define the "channel" the request comes
        in from. It can potentially be used in routing and risk calculations
        upon request. Default values that can be used are:  api portal smartui
        Any alphanumeric string is supported though. Anything over 64 characters
        will be truncated.
    X-Frankie-Username:
      name: X-Frankie-Username
      in: header
      description: Username provided by API caller
      required: false
      schema:
        type: string
        example: fred.flintstone@frankieone.com
  schemas:
    Request-ID:
      type: string
      example: 01HN9XHZN6MGXM9JXG50K59Q85
      description: The unique request identifier for the API call made.
    External-Reference:
      type: object
      description: >-
        Reference information used to identify the individual in systems
        external to FrankieOne.
      allOf:
        - type: object
          properties:
            referenceId:
              type: string
              description: >-
                As external references are added to an entity, they are assigned
                a unique identifier to assist with modification and reference.

                To modify an external reference, include the referenceId in an
                update request for the individual.
              example: 24de15f64-5717-4562-b3fc-2c963f66e23e
              x-oapi-codegen-extra-tags:
                audit: keep
            type:
              type: string
              enum:
                - SYSTEM
                - CUSTOMER
                - ACCOUNT
                - OTHER
              default: CUSTOMER
              x-oapi-codegen-extra-tags:
                audit: keep
            sourceId:
              type: string
              description: >-
                The source from which specific information was sourced. This is
                a link to an informationSource object in the informationSources
                map.
              example: 93da15f64-5717-4562-b3fc-2c963f6663fe
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: keep
            metadata:
              type: object
              description: >-
                Key-value pairs for storing additional metadata about the
                external reference
              additionalProperties:
                $ref: '#/components/schemas/External-Reference-Metadata'
              x-oapi-codegen-extra-tags:
                audit: keep
            updatedAt:
              type: string
              format: date-time
              readOnly: true
              description: >-
                The date and time the external reference was last updated. ISO
                8601 format.
        - $ref: '#/components/schemas/External-Reference-Information'
    Error:
      type: object
      x-examples:
        '400':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0400
          errorMsg: Parsing credentials from "<invalid>" failed, because invalid.
          httpStatusCode: 400
        '401':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0401
          errorMsg: Unauthenticated due to invalid credentials.
          httpStatusCode: 401
        '409':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0409
          errorMsg: Conflict.
          httpStatusCode: 409
      allOf:
        - $ref: '#/components/schemas/Error-Base'
        - type: object
          properties:
            requestId:
              $ref: '#/components/schemas/Request-ID'
    External-Reference-Metadata:
      type: object
      required:
        - type
        - value
      x-examples:
        String Metadata:
          type: STRING
          value: '2024-01-15'
        Number Metadata:
          type: NUMBER
          value: '100'
      description: Metadata item for external reference with typed value
      properties:
        type:
          $ref: '#/components/schemas/External-Reference-Metadata-TypeEnum'
        value:
          type: string
          maxLength: 128
          description: The value of the metadata item, stored as string regardless of type
    External-Reference-Information:
      type: object
      x-examples:
        Customer Reference:
          name: CUSTOMER-REFERENCE
          value: CUST-00001342
          description: This is the customer id in the core banking system
      required:
        - name
        - value
      description: >-
        Used to store references and identifying information about an entity
        that is external to FrankieOne. If you wish to filter or search on
        customer information relevant to your business, that information should
        be added as an external reference.
      properties:
        name:
          type: string
          description: The name of the external reference.
          example: CUSTOMER-REFERENCE
          x-oapi-codegen-extra-tags:
            audit: keep
        value:
          type: string
          description: The value of the external reference.
          example: CUST-00001342
          x-oapi-codegen-extra-tags:
            audit: keep
        description:
          type: string
          description: >-
            A summary of what this external reference is and what it is used
            for.
          example: This is the customer ID in the core banking system.
          x-oapi-codegen-extra-tags:
            audit: keep
    Error-Base:
      type: object
      properties:
        errorCode:
          type: string
        errorMsg:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
    External-Reference-Metadata-TypeEnum:
      type: string
      default: STRING
      enum:
        - STRING
        - INTEGER
        - FLOAT
        - BOOLEAN
        - DATE
        - DATE_TIME
      description: The type of the external reference metadata value
    Issue:
      type: object
      properties:
        issue:
          type: string
          description: Description of the issue.
        issueLocation:
          type: string
          description: The location or context where the issue was identified.
        issueType:
          type: string
          description: The type or category of the issue.
  securitySchemes:
    Api-Key:
      type: apiKey
      in: header
      name: api_key
      description: ''
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````